log4cplus::device_appender_detail::device_type_traits< T > Struct Template Reference

`#include <deviceappender.hxx>`

Inheritance diagram for log4cplus::device_appender_detail::device_type_traits< T >:
[legend]

## Public Types

typedef T & | device_type

## Static Public Member Functions

static device_type | unwrap (device_type x)

## Detailed Description

template<typename T>
struct log4cplus::device_appender_detail::device_type_traits< T >

Definition at line 50 of file deviceappender.hxx.

## Member Typedef Documentation

## device_type

template<typename T>

typedef T& log4cplus::device_appender_detail::device_type_traits< T >::device_type

Definition at line 52 of file deviceappender.hxx.

## Member Function Documentation

## unwrap()

template<typename T>

device_type log4cplus::device_appender_detail::device_type_traits< T >::unwrap | ( | device_type | x | ) |

inline static

Definition at line 56 of file deviceappender.hxx.

The documentation for this struct was generated from the following file:

- deviceappender.hxx